Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.document
Class DocumentRuntimeException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--com.bea.document.DocumentRuntimeException

public class DocumentRuntimeException
extends java.lang.RuntimeException

Serious underlying XML errors are thrown using this encapsulation. In some instances it may be desirable to catch such exceptions. Generally, any exception of this type will terminate an XML based application.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`DocumentRuntimeException(javax.xml.parsers.ParserConfigurationException e)`

Method Summary
`java.lang.Exception` | `getLinkedException()`
`void` | `printStackTrace()`
`void` | `printStackTrace(java.io.PrintStream out)`
`void` | `printStackTrace(java.io.PrintWriter out)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocumentRuntimeException

    public DocumentRuntimeException(javax.xml.parsers.ParserConfigurationException e)

Method Detail

### getLinkedException

    public java.lang.Exception getLinkedException()

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Throwable

### printStackTrace

    public void printStackTrace()

  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    public void printStackTrace(java.io.PrintStream out)

  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    public void printStackTrace(java.io.PrintWriter out)

  Overrides:
    printStackTrace in class java.lang.Throwable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)